*
*  KEYB_EIN : Schaltet Port KeyBd ein (LOW)
*

keyb_acia   equ         $FFFFFC00
keyb_init   equ         $96
midi_acia   equ         $FFFFFC04
midi_init   equ         $95
ym2149f     equ         $FFFF8800
port_a      equ         14

port        equ         3	;KeyBoard

            pea         InfoMsg(pc)
            move.w      #9,-(sp)
            trap        #1          ;Cconws(InfoMsg)
            addq.l      #6,sp
            pea         _Cache_Ein(pc)
            move.w      #38,-(sp)
            trap        #14         ;SupExec(_Cache_Ein)
            addq.l      #6,sp
            clr.w       -(sp)
            trap        #1          ;Pterm0()

            dc.b        'Program written by Bernd Eckstein',10,13,0
            even

************************************************************
*
*  Schaltet das Portbit, auf Low.
*

_Cache_Ein: moveq       #port,d0                ;Port spezifizieren
            lea         ym2149f.w,a0
            move        sr,d7
            ori         #$700,sr
            tst.b       d0
            bne.s       ce1
            move.b      #port_a,(a0)            ;typ0
            move.b      (a0),d0
            bclr        #6,d0
            move.b      d0,2(a0)
            bra.s       cex
       ce1: cmpi.b      #1,d0
            bne.s       ce2
            move.b      #port_a,(a0)            ;typ1
            move.b      (a0),d0
            bclr        #7,d0
            move.b      d0,2(a0)
            bra.s       cex
       ce2: cmpi.b      #3,d0
            bne.s       ce3
            move.b      #midi_init,midi_acia.w  ;typ2
            bra.s       cex
       ce3: move.b      #keyb_init,keyb_acia.w  ;typ3
       cex: move        d7,sr
            rts

InfoMsg:    dc.b        10,13,'HBS-Switch v1.02: Port KEYB eingeschaltet.',10,13,0

